<!doctype html>
<html lang="en">
<head>
<title>go-team-sprint</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647">Go Team Sprint</span><span class="anonymous" title="anonymous"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"> Daily Location (reflects where people are currently working)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">August 4 -- Ad-hoc</span></ul><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647"></span><br><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647">Participants</span><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647"></span><br><ul class="bullet"><li><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647">*</span><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647"> </span><span class="a_Qa7E3RxNmkAqv4xd" title="a_Qa7E3RxNmkAqv4xd" style="background-color:#1f86da">sourabhtk37</span><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647"></span></li><li><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647">*</span><span class="a_0ieSLY3oPZXtrMbB" title="a_0ieSLY3oPZXtrMbB" style="background-color:#758647">tille (just want to discuss some general team issues no technical Go details)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">gibmat</span><span class="a_sXRJWWRWgkbr8PjG" title="a_sXRJWWRWgkbr8PjG" style="background-color:#0b64de"></span></li><li><span class="a_sXRJWWRWgkbr8PjG" title="a_sXRJWWRWgkbr8PjG" style="background-color:#0b64de">*</span><span class="a_sXRJWWRWgkbr8PjG" title="a_sXRJWWRWgkbr8PjG" style="background-color:#0b64de">omnidapps (Floating Resource)</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">siretart (remote?)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Remaining work as of breakfast, Sunday, Aug 4</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Upload of etcd 3.5.15-5</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Should fix build rdep FTBFS issues</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Hopefully autopkgtests will all pass; if not, we'll (for now) skip those tests</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">After etcd is happy (ie, all autopkgtests passing), upload golang-google-grpc 1.64.0-6</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Adds one more Breaks line, which should then get all of its autopkgtests happy</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Fix containerd autopkgtest failures</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">https://bugs.debian.org/1077319</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Fix remaining FTBFS packages:</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-backblaze-blazer</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">still builds against grpc-gateway.v1, might be the last package to do so</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">upstream does not appear to be accepting bug reports at https://github.com/Backblaze/blazer/issues/new</span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">this is what the package currently claims: https://sources.debian.org/src/golang-github-backblaze-blazer/0.6.1-2/debian/upstream/metadata/</span></ul><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">unclear how to resolve this. maybe vendoring old sources, or removing from the archive.</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">Filed https://bugs.debian.org/1077924 as RC bug</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">Turns out this is a dependency of 'restic', a pretty popular backup utility</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">turns out that we can avoid the grpc dependency by excluding the 'bonfire' and 'pyre' packages. Apparently they are used for the b2 service itself that is not used by restic</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul></li></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Fix remaining packages with build conflicts:</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">mirrorbits (https://bugs.debian.org/1077366)</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"> (NMU'ed)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">google-guest-agent (https://bugs.debian.org/1077779)</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"> </span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">(NMU uploaded to DELAYED/5-days, -- 08/03)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-hashicorp-go-plugin</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"> (uploaded)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">nextcloud-spreed-signaling</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Update ready in salsa, pending new upload of etcd first</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul></li></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">wasmedge (libpod dependency) has an RC bug; is on the LowNMU list</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Looking at the bug, this is an FTBFS introduced by GCC-14</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Upstream code is newer than what we have, but does not contain any changes to the relevant part of the code: https://github.com/WasmEdge/WasmEdge/blob/0.13.5/lib/loader/filemgr.cpp#L52</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">This is very likely still present upstream, but I don't see an issue filed</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">For Debian, I'd suggest to remove the -Werror from here: https://sources.debian.org/src/wasmedge/0.13.5+dfsg-1/cmake/Helper.cmake/?hl=42#L42 -- and have a bug filed upstream to discuss this issue</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">NMU uploaded</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">After migration of all packages into testing:</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Go back and clean up golang-google-grpc's exclusion of source files that isn't currently working correctly</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">File RM bug for golang-github-grpc-ecosystem-grpc-gateway.v2</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Fix dependency loop seen while building etcd (it pulls in its own -dev package via some transitive dependency path)</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Cleanup etcd's lintian report</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Fixup/address etcd's flaky autopkgtests</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">should be fixed in https://salsa.debian.org/go-team/packages/etcd/-/commit/34a35c19e805152c2cb22b65fff7899d68b2815d and https://salsa.debian.org/go-team/packages/etcd/-/commit/518af100c1b5ec3b19dd710c9a668eb2e5f9febf -- will be part of -7</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul></li></ul></li></ul><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Old information below</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Important/blocking issues for transition:</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-grpc-ecosystem-grpc-gateway FTBFS on 32bit (#1077062)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">autopkgtest failures for golang-github-google-cel-go</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-google-grpc including source files despite DH_GOLANG_EXCLUDES</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">For whatever reason, even though during the build it doesn't appear to build/test targets listed in d/rules, the resulting -dev package still contains them</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">This was causing an autopkgtest failure, but gibmat did some brute force work to make it pass again in version 1.64.0-3; it really needs a better investigation when this package isn't blocking everything else</span><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#81bdba"></span></li><li><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#81bdba">*</span><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#81bdba">Oddly enough, removing the import path from DH_GOLANG_EXCLUDES gets things working without any further workarounds. Seemingly, install does not seem to honor import path related excludes in this package. -> Fix pushed to salsa.</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">etcd from experimental FTBFS due to changes in grpc-gateway API</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Plan is to update to latest 3.5 release of etcd</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Initial import of 3.5.15 and rebasing of patches pushed to salsa</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Need to setup compat symlinks for various import paths (see go.mod)</span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Build dependencies are now in unstable, but still some protobuf-API related issues to fix</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">siretart is making progress on getting it built against grpc-gateway.v2 -- candidate package in salsa -- uploaded to sid</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">etcd FTBFS due to golang-github-grpc-ecosystem-go-grpc-middleware v2 update</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">etcd autopkgtest failure</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Also need to fix installing of compat symlinks</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-backblaze-blazer FTBFS due to changes in grpc-gateway API</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Attempting to re-generate runs into issues with the googleapis proto no longer being in gateway.v2</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Easy enough to add them back in, but gibmat thinks he doesn't have the blazer codegen setup properly (WIP)</span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containerd-imgcrypt FTBFS due to updated containerd</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">siretart is working on it. fixed upstream in https://github.com/containerd/imgcrypt/commit/27550399fb8c51b4987f9f95c5c99f88e8011643</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">fixed package uploaded to sid as 1.1.11-4</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">crowdsec FTBFS due to updated docker</span><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#81bdba"></span><ul class="bullet"><li><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#81bdba">*</span><span class="a_g0v1Xc4SNXub0pfS" title="a_g0v1Xc4SNXub0pfS" style="background-color:#81bdba">Fixed, patch sent to ML</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">containerd autopkgtests are failing and need investigation</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">siretart looking at this. cf. https://bugs.debian.org/1077319</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-census-instrumentation-opencensus-proto has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-go-kit-kit has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-grpc-ecosystem-go-grpc-middleware has conflicting build deps</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">siretart looking at packaging the latest upstream version -- pushed and uploaded 2.1.0-1</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-openzipkin-zipkin-go has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-go.opencensus has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">mirrorbits has conflicting build deps</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">filed  https://bugs.debian.org/1077366 -- attached NMU.diff</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-expediadotcom-haystack-client-go has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-grafana-grafana-plugin-model has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-grpc-ecosystem-go-grpc-prometheus has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-opentracing-contrib-go-grpc has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-sercand-kuberesolver FTBFS</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-collectd has conflicting build deps</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-gitlab-gitlab-org-labkit FTBFS</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">docker-libkv FTBFS after etcd update</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-minio-pkg FTBFS after etcd update</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-xordataexchange-crypt FTBFS after etcd update</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Additional packages with conflicting build deps:</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">caddy & golang-github-smallstep-certificates</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-hashicorp-go-discover</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-hashicorp-go-plugin</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">google-guest-agent</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">#1077779</span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">nextcloud-spreed-signaling</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Tracked down to </span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-nats-io-go-nats</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Needs fix/adjustment to etcd packaging before upload</span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">opensnitch</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">protobuild</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"> (siretart working on it)</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul></li></ul><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Other things to work on:</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">wasmedge (libpod dependency) has an RC bug; is on the LowNMU list</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span><ul class="bullet"><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">Looking at the bug, this is an FTBFS introduced by GCC-14</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">Upstream code is newer than what we have, but does not contain any changes to the relevant part of the code: https://github.com/WasmEdge/WasmEdge/blob/0.13.5/lib/loader/filemgr.cpp#L52</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">This is very likely still present upstream, but I don't see an issue filed</span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">For Debian, I'd suggest to remove the -Werror from here: https://sources.debian.org/src/wasmedge/0.13.5+dfsg-1/cmake/Helper.cmake/?hl=42#L42 -- and have a bug filed upstream to discuss this issue</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ul></li></ul><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><br><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Email thread: https://lists.debian.org/debian-go/2024/07/msg00021.html</span><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">ACK'ed from Release Team 7/25: https://lists.debian.org/debian-go/2024/07/msg00052.html</span></ul><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Suggested order of uploads from experimental to unstable:</span></ul><ol start="1" class="number"><li><ol start="1" class="number"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-google-genproto</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-google-grpc</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-grpc-ecosystem-grpc-gateway.v2</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ol start="1" class="number"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Instead we will update golang-github-grpc-ecosystem-grpc-gateway to v2</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">NB: this breaks etcd, golang-github-backblaze-blazer</span></ol><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-google-cel-go</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">golang-opentelemetry-proto</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-opentelemetry-otel</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2"></span></li><li><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">golang-opentelemetry-contrib</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span><ol start="1" class="number"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Nothing currently staged in experimental -- needed as part of this transition?</span></ol><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-googleapis-gnostic</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">etcd</span><ol start="1" class="number"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">Build error due to grpc-gateway API</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">, need update to 3.5</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></ol><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-gogottrpc</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_qGEgIHydumeAi16A" title="a_qGEgIHydumeAi16A" style="background-color:#377da2">golang-github-containerd-log</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containerd-btrfs</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containerd-go-cni</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containerd-go-runc</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-coreos-bbolt</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-google-certificate-transparency</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-lightstep-lightstep-tracer-common</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-kurin-blazer</span><ol start="1" class="number"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">RM'ed in favor of golang-github-backblaze-blazer</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">See notes above in important/blocking issues section</span></ol><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-google-cloud</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containerd-cgroups</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containerd-typeurl</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">containerd</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-cloudflare-cfssl</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">rootlesskit</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-deckarep-golang-set</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">notary</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-mitchellh-hashstructure</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">docker.io</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-fsouza-go-dockerclient</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-openshift-imagebuilder</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containers-storage</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containers-image</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containers-common</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">golang-github-containers-buildah</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8"></span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#2394c8">libpod</span><span class="anonymous" title="anonymous"></span></ol></li></ol>
</body>
</html>
